{% extends "base.html" %}

{% block content %}
    <style>
        body {
            background-color: #bfc0c2;
        }
    </style>

    <div class="consultation">
        <div class="cons-title">KONSULTASI</div>
        <div class="grid">
            <div class="row">
                <div class="cell-3">
                    <a href="{% url 'consultation_category' 'qm' %}">
                        <div class="cons-cat button alert">QUALITY MANAGEMENT</div>
                    </a>
                    <br>
                    <a href="{% url 'consultation_category' 'ee' %}">
                        <div class="cons-cat button alert">ENVIRONMENT ENERGY</div>
                    </a>
                    <br>
                    <a href="{% url 'consultation_category' 'hs' %}">
                        <div class="cons-cat button alert">HEALTH SAFETY</div>
                    </a>
                    <br>
                    <a href="{% url 'consultation_category' 'fs' %}">
                        <div class="cons-cat button alert">FOOD SAFETY</div>
                    </a>
                    <br>
                    <a href="{% url 'consultation_category' 'is' %}">
                        <div class="cons-cat button alert">INFORMATION SECURITY</div>
                    </a>
                    <br>
                    <a href="{% url 'consultation_category' 'rm' %}">
                        <div class="cons-cat button alert">RISK & MANAGEMENT</div>
                    </a>
                    <br>
                    <a href="{% url 'consultation_category' 'll' %}">
                        <div class="cons-cat button alert">KONSULTASI LAIN-LAIN</div>
                    </a>
                    <br>
                </div>
                <div class="cell-9">
                    <div class="row">
                        {% for consultation in consultations %}
                            <div class="cell-4">
                                <div class="card">
                                    <div class="card-image waves-effect waves-block waves-light">
                                        <img class="service-img" src="{{ consultation.image.url }}">
                                    </div>
                                    <div class="card-content">
                                        <div class="service_title">
                                            <span>{{ consultation.service }}</span>
                                        </div>
                                        <div class="service_name"><strong>{{ consultation.name }}</strong></div>
                                        <div class="service_desc">{{ consultation.description|truncatewords:8 }}</div>
                                        <div class="service_detail"><a
                                                href="{% url 'consultation_detail' consultation.pk %}"><strong>detail</strong></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                    {% if consultations %}
                        <div class="pagination">
                                <span class="step-links">
                                    {% if consultations.has_previous %}
                                        <a class="next" href="?page=1">&laquo; first</a>
                                        <a class="next"
                                           href="?page={{ consultations.previous_page_number }}">previous</a>
                                    {% endif %}

                                    <span class="current">
                                        Page {{ consultations.number }} of {{ consultations.paginator.num_pages }}.
                                    </span>

                                    {% if consultations.has_next %}
                                        <a class="next" href="?page={{ consultations.next_page_number }}">next</a>
                                        <a class="next" href="?page={{ consultations.paginator.num_pages }}">last &raquo;</a>
                                    {% endif %}
                                </span>
                        </div>
                    {% else %}
                        <span class="no-service">NO SERVICE AVAILABLE</span>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block js %}
    <script>
        $('#contact-form').on('submit', function (event) {
            event.preventDefault();
            post_message();
        });

        function post_message() {
            $.ajax({
                url: "{% url 'post_msg' %}",
                type: "POST",
                data: {
                    sender: $('#sender').val(),
                    email: $('#email').val(),
                    subject: $('#subject').val(),
                    body: $('#body').val(),
                },
                success: function (json) {
                    console.log(json);
                    $('input').val("");
                    $('textarea').val("");
                    Metro.toast.create("PESAN BERHASIL DIKIRIM", null, 5000, "bg-red fg-white");
                },

                // handle a non-successful response
                error: function (xhr, errmsg, err) {
                    console.log(xhr.status + ": " + xhr.responseText);
                }
            });
        };
    </script>
{% endblock %}